import { PaymentMethodToken, ResumeToken, SuccessCallbackReturnType } from '@primer-io/checkout-web';
import Vue from 'vue';
declare type PromiseResolver = {
    resolve: (value: unknown) => void;
    reject: (err: Error) => void;
};
declare const onTokenizeSuccessMixinProps: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    tokenizeSuccessStatus: true | Boolean | Error | {
        clientToken: string;
    } | undefined;
    tokenizeSuccess: Function;
}>;
export declare class onTokenizeSuccessMixin extends onTokenizeSuccessMixinProps {
    onTokenizeSuccessPromise: PromiseResolver | undefined;
    clearOnTokenizeSuccess(): void;
    isWaitingForOnTokenizeSuccess(): boolean;
    resolveOnTokenizeSuccess(data: Error | SuccessCallbackReturnType): void;
    onTokenizeSuccess(arg: PaymentMethodToken): any;
    onTokenizeSuccessStatusChange(tokenizeSuccessStatus: Error | SuccessCallbackReturnType): void;
}
declare const onResumeSuccessMixinProps: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    resumeSuccessStatus: boolean | Error;
    resumeSuccess: Function;
}>;
export declare class onResumeSuccessMixin extends onResumeSuccessMixinProps {
    onResumeSuccessPromise: PromiseResolver | undefined;
    clearOnResumeSuccess(): void;
    isWaitingForOnResumeSuccess(): boolean;
    resolveOnResumeSuccess(data: Error | SuccessCallbackReturnType): void;
    onResumeSuccess(arg: ResumeToken): any;
    onResumeSuccessStatusChange(resumeSuccessStatus: Error | SuccessCallbackReturnType): void;
}
export {};
