import { PrimerClient, SinglePaymentMethodCheckoutOptions, PrimerSinglePaymentMethodCheckout } from '@primer-io/checkout-web';
import { onResumeSuccessMixin, onTokenizeSuccessMixin } from './mixins';
declare const SinglePaymentMethodCheckout_base: import("vue-class-component/lib/declarations").VueClass<object & Record<never, any> & {
    clientToken: string;
    thirdPartyScriptTimeout: number;
    paymentMethod: string;
    locale: string;
    customerId: string;
    countryCode: string;
    purchaseInfo: import("@primer-io/checkout-web").PurchaseInformation | import("@primer-io/checkout-web").Callable<[], import("@primer-io/checkout-web").PurchaseInformation> | undefined;
    successScreen: {
        type: string;
    };
    threeDSecure: import("@primer-io/checkout-web").ThreeDSVerificationOptions | undefined;
    card: import("@primer-io/checkout-web").CheckoutCardOptions | undefined;
    paypal: Pick<import("@primer-io/checkout-web").PayPalOptions, "buttonColor" | "buttonShape" | "buttonSize" | "buttonHeight" | "buttonLabel" | "buttonTagline" | "paymentFlow"> | undefined;
    googlePay: Pick<import("@primer-io/checkout-web").GooglePayOptions, "buttonColor" | "buttonType"> | undefined;
    applePay: Pick<import("@primer-io/checkout-web").ApplePayOptions, "buttonType" | "buttonStyle"> | undefined;
    directDebit: import("@primer-io/checkout-web").DirectDebitOptions | undefined;
    submitButton: import("@primer-io/checkout-web").SubmitButtonOptions | undefined;
    checkoutStyle: import("@primer-io/checkout-web").CheckoutStyle | undefined;
    options: SinglePaymentMethodCheckoutOptions;
} & onTokenizeSuccessMixin & onResumeSuccessMixin>;
export default class SinglePaymentMethodCheckout extends SinglePaymentMethodCheckout_base {
    primer: PrimerClient | undefined;
    checkout: PrimerSinglePaymentMethodCheckout | undefined;
    mounted(): void;
    mount(): Promise<void>;
}
export {};
